Skip to main content
POST
/
api
/
v1
/
room
/
update
curl --location 'http://fssportal.com/api/v1/room/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "room_id": 4945,
  "name": "Harry's Room"
}'
{
  "message": "Room updated successfully.",
  "data": []
}

Endpoint

POST /api/v1/room/update
This endpoint requires authentication

Headers

X-API-Token
string
required
Your API access token. You can also set this globally in the API playground.
platform
string
required
The platform making the request: WEB, IOS, or ANDROID.

Request Body

room_id
integer
required
The unique identifier of the room to update.
name
string
name

Response

message
string
message
data
array
data
curl --location 'http://fssportal.com/api/v1/room/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "room_id": 4945,
  "name": "Harry's Room"
}'
{
  "message": "Room updated successfully.",
  "data": []
}

Notes

  • Authentication is required